
QGIS Application - Bug report #1312

r9310 fails to build on Debian testing amd64, gcc 4.3.1

2008-09-12 04:13 PM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11372

Description

r9310 fails to build on Debian testing amd64, gcc 4.3.1:

[ 61%] Built target translations

Scanning dependencies of target python

[ 61%] Generating core/Makefile, gui/Makefile

sip: /home/shoofi/src/straight/qgis-trunk/python/core/qgsrasterpyramid.sip:21: syntax error

sip: /home/shoofi/src/straight/qgis-trunk/python/core/qgsrasterpyramid.sip:21: syntax error

Error: Unable to open

"/home/shoofi/src/straight/qgis-trunk/build/python/core/core.sbf": [Errno 2] No

such file or directory:

'/home/shoofi/src/straight/qgis-trunk/build/python/core/core.sbf'

Parsing SIP files for 'core' library...

/usr/bin/sip -c core -b /home/shoofi/src/straight/qgis-trunk/build/python/core/core.sbf -I /usr/share/sip/PyQt4 -x [[VendorID]] -t

WS_X11 -x [[PyQt]]_NoPrintRangeBug -t Qt_4_4_0 -g /home/shoofi/src/straight/qgis-trunk/python/core/core.sip

Parsing SIP files for 'gui' library...

/usr/bin/sip -c gui -b /home/shoofi/src/straight/qgis-trunk/build/python/gui/gui.sbf -I /home/shoofi/src/straight/qgis-trunk/python -I

/usr/share/sip/PyQt4 -x [[VendorID]] -t WS_X11 -x [[PyQt]]_NoPrintRangeBug -t Qt_4_4_0 -g

/home/shoofi/src/straight/qgis-trunk/python/gui/gui.sip

Creating makefiles...

maker2: *** [python/core/Makefile] Error 1

maker1: *** [python/CMakeFiles/python.dir/all] Error 2

make: *** [all] Error 2

Associated revisions

Revision e9e26ba0 - 2008-09-13 01:48 AM - Jürgen Fischer

fix #1312

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9311 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d660c6d9 - 2008-09-13 01:48 AM - Jürgen Fischer

fix #1312

git-svn-id: http://svn.osgeo.org/qgis/trunk@9311 c8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2008-09-12 04:49 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:d660c6d9 (SVN r9312)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
